package com.simuwang.base.pojo.dos;

import lombok.Data;

@Data
public class CoreMailInfoParam {
    private String mboxa = ""; // 默认 ""
    private int fid;
    private String order ="date"; // 默认 "date"
    private boolean desc = true;
    private int start = 0; // 默认 0
    private int limit = -1; // 默认 -1，表示不分页
    private FilterCondition filter;
    private boolean returnTotal = true; // 默认 false

    public static class FilterCondition {
        private String receivedDate;

        public FilterCondition(String receivedDate) {
            this.receivedDate = receivedDate;
        }

        public String getReceivedDate() {
            return receivedDate;
        }

        public void setReceivedDate(String receivedDate) {
            this.receivedDate = receivedDate;
        }
    }
}
