package com.simuwang.base.pojo.dos;

import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class CoreMailLoginParam {
    /**
     * 邮箱账号
     */
    private String uid;
    /**
     * 邮箱密码
     */
    private String password;

    private boolean forceCookieCheck = true;

    private boolean returnCookie = true;


    public CoreMailLoginParam(@NotNull String account, @NotNull String password) {
        this.uid = account;
        this.password = password;
    }
}
